{
  "name": "joinpeertube",
  "version": "0.1.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "node ./server/dev-server.js",
    "build": "sh ./scripts/build.sh",
    "build:sitemap": "NODE_ENV=production node scripts/generate-sitemap.js",
    "build:rss": "NODE_ENV=production node src/news/generate-news-feed.js",
    "build:news-meta": "NODE_ENV=production node src/news/generate-news-meta.js",
    "lint": "eslint --ext .js,.vue --ignore-path .gitignore src",
    "i18n:update": "git fetch weblate && git merge weblate/master && vue-gettext-extract && vue-gettext-compile"
  },
  "devDependencies": {
    "@aacassandra/vue3-progressbar": "^1.0.3",
    "@popperjs/core": "^2.11.8",
    "@vitejs/plugin-legacy": "^5.4.1",
    "@vitejs/plugin-vue": "^5.0.5",
    "@vue/compiler-sfc": "^3.4.27",
    "@vueuse/head": "^2.0.0",
    "autoprefixer": "^10.4.19",
    "axios": "^1.7.2",
    "bluebird": "^3.7.2",
    "bootstrap": "^5.3.3",
    "eslint": "^9.4.0",
    "eslint-plugin-vue": "^9.26.0",
    "feed": "^4.2.2",
    "front-matter": "^4.0.2",
    "fs-extra": "^11.2.0",
    "lodash-es": "^4.17.21",
    "markdown-it": "^14.1.0",
    "markdown-it-for-inline": "^2.0.1",
    "markdown-it-replace-link": "^1.2.1",
    "node-html-parser": "^6.1.13",
    "rollup-plugin-visualizer": "^5.12.0",
    "sass": "^1.77.4",
    "terser": "^5.31.1",
    "vite": "^5.2.13",
    "vite-plugin-iso-import": "^1.1.0",
    "vite-plugin-markdown": "^2.2.0",
    "vite-svg-loader": "^5.1.0",
    "vue": "^3.4.27",
    "vue-matomo": "^4.2.0",
    "vue-router": "^4.3.3",
    "vue3-gettext": "^3.0.0-beta.1"
  },
  "dependencies": {
    "cookie-parser": "^1.4.6",
    "express": "^4.19.2"
  }
}
